> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Import a workflow template into the test environment



## OpenAPI

````yaml /openapi/workflow-templates.json post /workflow-templates/{id}/import
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflow-templates/{id}/import:
    post:
      tags:
        - Workflow Templates
      summary: Import a workflow template into the test environment
      operationId: workflowTemplates.import
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                overrides:
                  type: object
                  properties:
                    trigger:
                      anyOf:
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            entity:
                              enum:
                                - transaction
                                - client
                              type: string
                              description: Entity
                            events:
                              type: array
                              minItems: 1
                              items:
                                enum:
                                  - created
                                  - updated
                                type: string
                              description: Events
                            condition:
                              anyOf:
                                - type: object
                                  properties:
                                    type:
                                      const: field
                                      description: Type
                                    field:
                                      type: string
                                      minLength: 1
                                      description: Field
                                    operator:
                                      enum:
                                        - eq
                                        - neq
                                        - gt
                                        - gte
                                        - lt
                                        - lte
                                        - in
                                        - nin
                                        - contains
                                        - startsWith
                                        - endsWith
                                        - exists
                                        - notExists
                                        - arrayContains
                                        - arrayNotContains
                                        - arrayEmpty
                                        - arrayNotEmpty
                                      type: string
                                      description: Operator
                                    value:
                                      anyOf:
                                        - anyOf:
                                            - type: string
                                            - type: number
                                            - type: boolean
                                            - type: 'null'
                                        - type: array
                                          items:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                              - type: 'null'
                                      description: Value
                                  required:
                                    - type
                                    - field
                                    - operator
                                - type: object
                                  properties:
                                    type:
                                      const: and
                                    conditions:
                                      type: array
                                      minItems: 1
                                      items:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                const: field
                                                description: Type
                                              field:
                                                type: string
                                                minLength: 1
                                                description: Field
                                              operator:
                                                enum:
                                                  - eq
                                                  - neq
                                                  - gt
                                                  - gte
                                                  - lt
                                                  - lte
                                                  - in
                                                  - nin
                                                  - contains
                                                  - startsWith
                                                  - endsWith
                                                  - exists
                                                  - notExists
                                                  - arrayContains
                                                  - arrayNotContains
                                                  - arrayEmpty
                                                  - arrayNotEmpty
                                                type: string
                                                description: Operator
                                              value:
                                                anyOf:
                                                  - anyOf:
                                                      - {}
                                                      - {}
                                                      - {}
                                                      - {}
                                                  - type: array
                                                    items: {}
                                                description: Value
                                            required:
                                              - type
                                              - field
                                              - operator
                                          - type: object
                                            properties:
                                              type:
                                                const: and
                                              conditions:
                                                type: array
                                                minItems: 1
                                                items: {}
                                            required:
                                              - type
                                              - conditions
                                          - type: object
                                            properties:
                                              type:
                                                const: or
                                              conditions:
                                                type: array
                                                minItems: 1
                                                items: {}
                                            required:
                                              - type
                                              - conditions
                                          - type: object
                                            properties:
                                              type:
                                                const: not
                                              condition: {}
                                            required:
                                              - type
                                  required:
                                    - type
                                    - conditions
                                - type: object
                                  properties:
                                    type:
                                      const: or
                                    conditions:
                                      type: array
                                      minItems: 1
                                      items:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                const: field
                                                description: Type
                                              field:
                                                type: string
                                                minLength: 1
                                                description: Field
                                              operator:
                                                enum:
                                                  - eq
                                                  - neq
                                                  - gt
                                                  - gte
                                                  - lt
                                                  - lte
                                                  - in
                                                  - nin
                                                  - contains
                                                  - startsWith
                                                  - endsWith
                                                  - exists
                                                  - notExists
                                                  - arrayContains
                                                  - arrayNotContains
                                                  - arrayEmpty
                                                  - arrayNotEmpty
                                                type: string
                                                description: Operator
                                              value:
                                                anyOf:
                                                  - anyOf:
                                                      - {}
                                                      - {}
                                                      - {}
                                                      - {}
                                                  - type: array
                                                    items: {}
                                                description: Value
                                            required:
                                              - type
                                              - field
                                              - operator
                                          - type: object
                                            properties:
                                              type:
                                                const: and
                                              conditions:
                                                type: array
                                                minItems: 1
                                                items: {}
                                            required:
                                              - type
                                              - conditions
                                          - type: object
                                            properties:
                                              type:
                                                const: or
                                              conditions:
                                                type: array
                                                minItems: 1
                                                items: {}
                                            required:
                                              - type
                                              - conditions
                                          - type: object
                                            properties:
                                              type:
                                                const: not
                                              condition: {}
                                            required:
                                              - type
                                  required:
                                    - type
                                    - conditions
                                - type: object
                                  properties:
                                    type:
                                      const: not
                                    condition:
                                      anyOf:
                                        - type: object
                                          properties:
                                            type:
                                              const: field
                                              description: Type
                                            field:
                                              type: string
                                              minLength: 1
                                              description: Field
                                            operator:
                                              enum:
                                                - eq
                                                - neq
                                                - gt
                                                - gte
                                                - lt
                                                - lte
                                                - in
                                                - nin
                                                - contains
                                                - startsWith
                                                - endsWith
                                                - exists
                                                - notExists
                                                - arrayContains
                                                - arrayNotContains
                                                - arrayEmpty
                                                - arrayNotEmpty
                                              type: string
                                              description: Operator
                                            value:
                                              anyOf:
                                                - anyOf:
                                                    - type: string
                                                    - type: number
                                                    - type: boolean
                                                    - type: 'null'
                                                - type: array
                                                  items:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                      - {}
                                                      - {}
                                              description: Value
                                          required:
                                            - type
                                            - field
                                            - operator
                                        - type: object
                                          properties:
                                            type:
                                              const: and
                                            conditions:
                                              type: array
                                              minItems: 1
                                              items: {}
                                          required:
                                            - type
                                            - conditions
                                        - type: object
                                          properties:
                                            type:
                                              const: or
                                            conditions:
                                              type: array
                                              minItems: 1
                                              items: {}
                                          required:
                                            - type
                                            - conditions
                                        - type: object
                                          properties:
                                            type:
                                              const: not
                                            condition: {}
                                          required:
                                            - type
                                  required:
                                    - type
                                    - condition
                              description: Condition
                            type:
                              const: event
                          required:
                            - entity
                            - events
                            - type
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            cron:
                              type: string
                              description: Cron
                            timezone:
                              type: string
                              default: UTC
                              description: Timezone
                            type:
                              const: schedule
                          required:
                            - cron
                            - type
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            inputs:
                              type: array
                              items:
                                type: object
                                properties:
                                  key:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                  label:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                  type:
                                    enum:
                                      - string
                                      - number
                                      - boolean
                                      - date
                                      - timestamp
                                    type: string
                                  description:
                                    type: string
                                    maxLength: 1000
                                  required:
                                    type: boolean
                                    default: true
                                  defaultValue: {}
                                required:
                                  - key
                                  - label
                                  - type
                              description: Inputs
                            type:
                              const: manual
                          required:
                            - type
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            columns:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                  label:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                  type:
                                    enum:
                                      - string
                                      - number
                                      - boolean
                                      - date
                                      - timestamp
                                    type: string
                                required:
                                  - name
                                  - label
                                  - type
                              default: []
                              description: Columns
                            matching:
                              enum:
                                - exact
                                - case_insensitive
                                - fuzzy
                              type: string
                              default: fuzzy
                              description: Matching
                            sheetSelection:
                              enum:
                                - first
                                - by_name
                              type: string
                              default: first
                              description: Sheet Selection
                            sheetName:
                              type: string
                              minLength: 1
                              description: Sheet Name
                            type:
                              const: manual_file
                          required:
                            - type
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            branding:
                              type: object
                              properties:
                                logo:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                primaryColor:
                                  anyOf:
                                    - type: string
                                      pattern: >-
                                        ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
                                    - type: 'null'
                                backgroundColor:
                                  anyOf:
                                    - type: string
                                      pattern: >-
                                        ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
                                    - type: 'null'
                                fontColor:
                                  anyOf:
                                    - type: string
                                      pattern: >-
                                        ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
                                    - type: 'null'
                                fontFamily:
                                  anyOf:
                                    - enum:
                                        - Satoshi
                                        - Inter
                                        - Geist
                                        - Plus Jakarta Sans
                                        - DM Sans
                                        - Manrope
                                        - Work Sans
                                        - Poppins
                                        - Space Grotesk
                                        - Fraunces
                                        - Playfair Display
                                        - Source Serif 4
                                      type: string
                                    - type: 'null'
                              required:
                                - logo
                                - primaryColor
                                - backgroundColor
                                - fontColor
                                - fontFamily
                            messages:
                              type: object
                              properties:
                                welcome:
                                  type: object
                                  properties:
                                    title:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    description:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                  required:
                                    - title
                                    - description
                                success:
                                  type: object
                                  properties:
                                    title:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    description:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                  required:
                                    - title
                                    - description
                              required:
                                - welcome
                                - success
                            type:
                              const: form_link
                          required:
                            - branding
                            - messages
                            - type
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            jsonSchema:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              default:
                                type: object
                                properties:
                                  example:
                                    type: string
                                required:
                                  - example
                              description: JSON Schema
                            type:
                              const: api
                          required:
                            - type
                        - type: object
                          properties:
                            timeout:
                              enum:
                                - 1h
                                - 6h
                                - 24h
                                - 72h
                                - 7d
                                - 14d
                                - 30d
                              type: string
                              default: 72h
                            sourceWorkflowId:
                              type: string
                              format: uuid
                              description: Source workflow ID
                            triggerOn:
                              type: array
                              minItems: 1
                              items:
                                enum:
                                  - completed
                                  - errored
                                  - timed_out
                                  - cancelled
                                  - abandoned
                                type: string
                              description: Trigger on statuses
                              default:
                                - completed
                            type:
                              const: workflow_completion
                          required:
                            - type
                    graph:
                      type: object
                      properties:
                        nodes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                enum:
                                  - trigger.event
                                  - trigger.schedule
                                  - trigger.manual
                                  - trigger.manual_file
                                  - trigger.form_link
                                  - trigger.api
                                  - trigger.workflow_completion
                                  - source.query_transactions
                                  - source.query_clients
                                  - enrich.add_address
                                  - enrich.add_phone
                                  - enrich.add_email
                                  - enrich.add_legal_representative
                                  - enrich.add_controlling_beneficiary
                                  - enrich.add_document
                                  - enrich.add_evidence
                                  - enrich.add_transaction
                                  - enrich.add_bank_account
                                  - enrich.add_client
                                  - enrich.add_exchange_rate
                                  - transform.aggregate
                                  - transform.time_bucket
                                  - transform.window
                                  - transform.set_column
                                  - transform.python
                                  - detect.transaction_volume_anomaly
                                  - detect.transaction_outlier
                                  - detect.structuring
                                  - detect.dormant_account
                                  - combine.merge
                                  - combine.lookup
                                  - condition.filter
                                  - condition.if
                                  - condition.threshold
                                  - condition.time_window
                                  - action.create_alert
                                  - action.create_client_alert
                                  - action.upsert_client
                                  - action.upsert_transaction
                                  - action.upsert_email
                                  - action.upsert_phone
                                  - action.upsert_address
                                  - action.upsert_bank_account
                                  - action.upsert_legal_representative
                                  - action.upsert_controlling_beneficiary
                                  - ai.step
                                  - ocr.extract
                                  - form.otp_verification
                                  - form.choice
                                  - form.user_input
                                  - form.file_input
                                  - form.sign_document
                                  - form.upsert_client
                                  - form.upsert_address
                                  - form.upsert_phone
                                  - form.upsert_email
                                  - form.upsert_bank_account
                                  - form.upsert_legal_representative
                                  - source.get_reference_data
                                  - source.get_custom_reference_data
                                  - risk.calculate_pillar_by_reference
                                  - risk.calculate_pillar_by_expression
                                  - risk.calculate_pillar_by_condition
                                  - risk.save_client_assessment
                                  - risk.save_transaction_assessment
                                type: string
                              data:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                                default: {}
                            required:
                              - id
                              - type
                          default: []
                        edges:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              source:
                                type: string
                                minLength: 1
                              target:
                                type: string
                                minLength: 1
                              sourceHandle:
                                type: string
                              targetHandle:
                                type: string
                              shape:
                                enum:
                                  - table
                                  - object
                                type: string
                            required:
                              - id
                              - source
                              - target
                          default: []
                    metadata:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  organizationId:
                    type: string
                  environment:
                    enum:
                      - test
                      - live
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  externalId:
                    type: string
                  status:
                    enum:
                      - draft
                      - active
                      - inactive
                    type: string
                  workflow:
                    type: object
                    properties:
                      nodes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                            type:
                              enum:
                                - trigger.event
                                - trigger.schedule
                                - trigger.manual
                                - trigger.manual_file
                                - trigger.form_link
                                - trigger.api
                                - trigger.workflow_completion
                                - source.query_transactions
                                - source.query_clients
                                - enrich.add_address
                                - enrich.add_phone
                                - enrich.add_email
                                - enrich.add_legal_representative
                                - enrich.add_controlling_beneficiary
                                - enrich.add_document
                                - enrich.add_evidence
                                - enrich.add_transaction
                                - enrich.add_bank_account
                                - enrich.add_client
                                - enrich.add_exchange_rate
                                - transform.aggregate
                                - transform.time_bucket
                                - transform.window
                                - transform.set_column
                                - transform.python
                                - detect.transaction_volume_anomaly
                                - detect.transaction_outlier
                                - detect.structuring
                                - detect.dormant_account
                                - combine.merge
                                - combine.lookup
                                - condition.filter
                                - condition.if
                                - condition.threshold
                                - condition.time_window
                                - action.create_alert
                                - action.create_client_alert
                                - action.upsert_client
                                - action.upsert_transaction
                                - action.upsert_email
                                - action.upsert_phone
                                - action.upsert_address
                                - action.upsert_bank_account
                                - action.upsert_legal_representative
                                - action.upsert_controlling_beneficiary
                                - ai.step
                                - ocr.extract
                                - form.otp_verification
                                - form.choice
                                - form.user_input
                                - form.file_input
                                - form.sign_document
                                - form.upsert_client
                                - form.upsert_address
                                - form.upsert_phone
                                - form.upsert_email
                                - form.upsert_bank_account
                                - form.upsert_legal_representative
                                - source.get_reference_data
                                - source.get_custom_reference_data
                                - risk.calculate_pillar_by_reference
                                - risk.calculate_pillar_by_expression
                                - risk.calculate_pillar_by_condition
                                - risk.save_client_assessment
                                - risk.save_transaction_assessment
                              type: string
                            data:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              default: {}
                          required:
                            - id
                            - type
                        default: []
                      edges:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                            source:
                              type: string
                              minLength: 1
                            target:
                              type: string
                              minLength: 1
                            sourceHandle:
                              type: string
                            targetHandle:
                              type: string
                            shape:
                              enum:
                                - table
                                - object
                              type: string
                          required:
                            - id
                            - source
                            - target
                        default: []
                  metadata:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  liveWorkflowId:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
                  testWorkflowId:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
                  promotedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        color:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - name
                        - color
                required:
                  - id
                  - organizationId
                  - environment
                  - name
                  - status
                  - workflow
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````